#$Id: test_consumer_core_domain.rb,v 1.4 2007/04/24 21:32:12 sgalles Exp $
#-----------------------------------------------------------------------
#
#TSP Ruby consumer - component for a generic Transport Sampling Protocol.
#
#Copyright (c) 2006 Stephane GALLES
#
#This library is free software; you can redistribute it and/or
#modify it under the terms of the GNU Lesser General Public
#License as published by the Free Software Foundation; either
#version 2.1 of the License, or (at your option) any later version.
#
#This library is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#Lesser General Public License for more details.
#
#You should have received a copy of the GNU Lesser General Public
#License along with this library; if not, write to the Free Software
#Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#-----------------------------------------------------------------------
#
#Project    : TSP
#Maintainer : stephane.galles@free.fr
#Component  : RubyTsp Consumer
#
#-----------------------------------------------------------------------



$:.unshift File.join(File.dirname(__FILE__),"..","lib")
require 'test/unit'

require 'consumer_core_domain'

class TestDatatype < Test::Unit::TestCase
  
  def test_that_datatypes_can_be_retrived_by_id
    datatype1 = Datatype.get_datatype_by_id(1)
    assert_not_nil(datatype1)
    assert_kind_of( Datatype, datatype1)
    assert_equal(1,datatype1.id)
  end
  
end

class TestRequestOpenXMLRPCAdaptor < Test::Unit::TestCase
  
  def setup
    @as = CoreAnswerSampleInit.new()
  end
  
  def test_data_address_computation_from_host_and_port
    
    @as.data_address = "myhost:1234"
    assert_equal("myhost",@as.host)
    assert_equal(1234,@as.port)
    assert_equal("myhost:1234",@as.data_address)
  end
  
  
end

